
<div class="panel panel-default">

	<div class="panel-body">
	<div class="panel-heading"><h4 class="panel-title">Gutschein Grafiken</h4></div>
			<div id="css-voucher-images" class="images">

			<ul>
			
			{if is_array($voucherImages) && count($voucherImages) }
				{foreach from=$voucherImages item=image}
					<li>					
					<div class="image-box">
						<img src="../mediafiles/gutscheine/{$image->voucherImageUrl}" alt='' >
						<div class="line">

									<div class="css-voucher-toolbar row">
										<div class="col-xs-12 clearfix">
										<div class="" style="display:inline-block;">
											<button data-function="actionButton" data-toggle="tooltip" data-placement="top" title="Gutschein konfigurieren" data-action="edit" data-id=""  type="button" class="btn btn-success">
												<i class="fa fa-edit"> </i>
											</button>
										</div>
										<div class="" style="display:inline-block;">
											<button data-function="actionButton"  data-toggle="tooltip" data-placement="top" title="Gutschein als Standard" data-action="set-standard"  class="btn btn-success star "  type="button" data-id="">
												<i class="fa fa-star"> </i>
											</button>
										</div>
										<div class="" style="display:inline-block;">
											<button data-function="actionButton"  data-toggle="tooltip" data-placement="top" title="Verzeichnis wechseln" data-action="change-folder"  class="btn btn-success change-folder" type="button" data-id="">
												<i class="fa fa-folder-open "> </i>
											</button>
										</div>
										<div class="" style="display:inline-block;">
											<button data-function="actionButton"  data-toggle="tooltip" data-placement="top" title="Gutschein auf {if !$image->voucherActive}sichtbar{else}unsichtbar{/if} setzen." data-action="change-image-active"  class="btn btn-success change-eye "  type="button" data-id="">
												<i class="fa fa-eye"> </i>
											</button>
										</div>
										<div class=" pull-right" style="display:inline-block;">
											<button data-function="actionButton"  data-toggle="tooltip" data-placement="top" title="Gutschein l&ouml;schen" data-action="delete-image"  class="btn btn-danger delete-image"  type="button"  data-id="">
												<i class="fa fa-trash"> </i>
											</button>
										</div>
										</div>
									</div>


					</div>
					</div>
					</li>
				{/foreach}
			{/if}	
				</ul>
		</div>
	</div>


	<div class="panel-body">
	<div class="panel-heading"><h4 class="panel-title">Gutschein Verzeichnisse</h4></div>
	<link media="screen" href="{$adminCSSURL}" type="text/css" rel="stylesheet" />

	<form method="post" action="{$adminURL}">
	<input type="hidden" value="1" name="config">
	<input type="hidden" value="saveFolder" id="cssAdminAction" name="cssAdminAction">
	{$jtl_token}
		<div class="input-group">
			<span class="input-group-addon"> <label for="voucherFolder">Gutschein Verzeichnis</label></span>
			<span class="input-group-wrap"> 
				<select name="voucherFolder" id="voucherFolder"  class="form-control">
					<option value="0">Neues Verzeichnis anlegen</option>
					{foreach from=$voucherFolderList item=folderItem }
						<option {if $folderItem->pid == $usedVoucherFold} selected {/if} value="{$folderItem->pid}">{$folderItem->voucherFolderName}</option>
					{/foreach}
				</select>        
			</span> 
			<span class="input-group-wrap">
			<button type="button" data-open-modal="#myUpload" {if !$usedVoucherFold} disabled {/if} class="btn  btn-lg" style="border-width:0px; width:100%;" data-dismiss="modal">Bilder Hochladen</button>
			</span>
			<span class="input-group-addon" ><button title="" data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
					data-original-title="Bitte w&auml;hlen Sie das zu bearbeitende Verzeichnis.">
					<i class="fa fa-question"></i>
			</button></span>
		</div>

{foreach from=$cssSprachen item=sprache }
		<input type="hidden" name="language[]" value="{$sprache->kSprache}" />
		<div class="input-group">
			<span class="input-group-addon"> <label for="voucherFolderName">Verzeichnisname {$sprache->cNameDeutsch}</label></span>
			<span class="input-group-wrap"> 
				<input name="voucherFolderName[{$sprache->kSprache}]" id="voucherFolderName"  class="form-control" value="{$sprache->voucherFolderName}">
			</span> <span class="input-group-addon"><button title="" data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
					data-original-title="Bitte geben Sie eine Bezeichnung f&uuml;r das Verzeichnis ein.">
					<i class="fa fa-question"></i>
			</button></span>
		</div>
{/foreach}
		
	<div class="text-right" style="padding: 0px 0px 20px 0px">
		<button class="btn btn-primary" value="senden" type="submit" name="senden">
			<i class="fa fa-save"></i> speichern
		</button>
	</div>

{*
		<div class="input-group thumbnails">
			<span class="input-group-addon"> <label for="voucherPrice">Verzeichnis</label></span>

				<button class="btn-default" onclick="$('#myUpload').modal('show'); return false; "></button>
<!-- 
			<ul>
			{if is_array($Thumbnails)}
				{foreach name='thumbs' from=$Thumbnails item=thumb }
					<li><img src="{$thumb->src}" alt="" data-image="{$thumb->id}" /></li>				
				{/foreach}
			{/if}
			</ul>
 -->
			</span> <span class="input-group-addon"><button title="" data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
					data-original-title="Selektieren Sie Bitte die Variante die f&uuml;r den gew&uuml;nschten Betrag gedacht ist.">
					<i class="fa fa-question"></i>
			</button></span>
 		</div>
*}





</form>
	
	




</div>

<div id="myUpload" class="modal fade" role="dialog">
  <div class="modal-dialog">
    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Bildupload</h4>
      </div>
      <div class="modal-body">


				<div id="uploader">
				<p>Your browser doesn't have Flash, Silverlight or HTML5 support.</p>
				</div>
      </div>

      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>

