<?php

/**
 * JTL Plugin
 * Copyright (C) 2011 - 2017 Andreas Petermann
 *
 * PHP version 5.6+
 *
 * @copyright css-umsetzung
 * @author Andreas Petermann <info@css-umsetzung.de>
 * @package css_gutschein 
 * @license GNU
 * @version 1.09
 *         
 */


namespace css_gutschein;


require_once str_replace("frontend/","",$oPlugin->cFrontendPfad) . 'classes/class.css_Gutschein.php';
$cssPlugin = css_gutschein::getInstance($oPlugin);


	if(file_exists($cssPlugin->_get('cFrontendPfad').'inc/'.$oPlugin->nCalledHook.'.php')) {
		require_once $cssPlugin->_get('cFrontendPfad').'inc/'.$oPlugin->nCalledHook.'.php';
		return;
	}

switch($oPlugin->nCalledHook) {
	
	case HOOK_ARTIKEL_PAGE:
		$cssPlugin->hookArtikelPage($args_arr);
		break;
	
	case HOOK_SMARTY_OUTPUTFILTER:
		if (isset ( $_SESSION['cISOSprache'] )) {
			$oPlugin->oPluginSprachvariableAssoc_arr = \gibPluginSprachvariablen ( $oPlugin->kPlugin, $_SESSION['cISOSprache'] );
		}
		$cssPlugin->getAllLocalizedLanguage();
		$cssPlugin->hookSmartyOutputfilter();
		break;
		
	case HOOK_IO_HANDLE_REQUEST:
		$cssPlugin->checkBasket();
		$cssPlugin->hookIoHandleRequest();
		break;
		
	case HOOK_CSS_JS_LIST:
		$cssPlugin->hookCssJsList($args_arr);
		break;
		
	case HOOK_LASTJOBS_HOLEJOBS:
			$cssPlugin->hookLastjobsHolejobs();
		break;
		
	
	case HOOK_BESTELLABSCHLUSS_INC_BESTELLUNGINDB_ENDE:
		$cssPlugin->hookBestellabschlussIncBestellungindbEnde($args_arr);
		break;
	
	case HOOK_BESTELLABSCHLUSS_INC_BESTELLUNGINDB:
		$cssPlugin->hookBestellabschlussIncBestellungindb($args_arr);
		break;
		
		case HOOK_GLOBALINCLUDE_INC:
		$cssPlugin->hookGlobalincludeInc();
		break;

	case HOOK_ARTIKEL_CLASS_FUELLEARTIKEL: 
		$cssPlugin->hookArtikelClassFuelleartikel($args_arr);
		break;
	
	case HOOK_WARENKORB_CLASS_FUEGEEIN:
		$cssPlugin->warenkorbFuegeEin(false);
		break;

	case HOOK_BESTELLVORGANG_PAGE_STEPBESTAETIGUNG:
	case HOOK_BESTELLVORGANG_PAGE_STEPVERSAND:
		$cssPlugin->checkBasket();
		break;
	
	case HOOK_BESTELLABSCHLUSS_PAGE:
	case HOOK_LETZTERINCLUDE_INC:
			$cssPlugin->hookLetzterincludeInc();
			break;
		
	case HOOK_CORE_SESSION_CONSTRUCTOR:
	case HOOK_NOTIFY_HASHPARAMETER_DEFINITION:
	case HOOK_BESTELLVORGANG_PAGE_STEPZAHLUNG:
		$cssPlugin->checkBasket();
		break;

	case HOOK_TOOLSGLOBAL_INC_SETZESPRACHEUNDWAEHRUNG_WAEHRUNG:
		$cssPlugin->hookToolsglobalIncSetzespracheundwaehrungWaehrung();
}

	
	
